# Interface methods for submodule: StatisticsLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ShapeLabelMapFilterProxy as _ShapeLabelMapFilterProxy


# Interface methods for class: StatisticsLabelMapFilter
class StatisticsLabelMapFilterProxy(_ShapeLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFeatureImage(self, input) -> None:
		""""""
		...

	def GetFeatureImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetComputeHistogram(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeHistogram(self) -> bool:
		""""""
		...

	def ComputeHistogramOn(self) -> None:
		""""""
		...

	def ComputeHistogramOff(self) -> None:
		""""""
		...

	def SetNumberOfBins(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfBins(self) -> int:
		""""""
		...

	@staticmethod
	def GetDefaultNumberOfBins() -> int:
		""""""
		...

